{
  "name": "saas-dml",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --mode dev",
    "build": "vue-tsc --noEmit && vite build --mode prod && npm run deploy",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:pre": "vue-tsc --noEmit && vite build --mode pre",
    "preview": "vite preview --port 4173",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . --fix",
    "deploy": "node ./deploy.js",
    "cert": "node ./cert.js"
  },
  "dependencies": {
    "@chuangkit/chuangkit-design": "^2.0.5",
    "@dagrejs/dagre": "^1.1.3",
    "@element-plus/icons-vue": "^2.3.1",
    "@fortaine/fetch-event-source": "^3.0.6",
    "@tinymce/tinymce-vue": "^5.0.1",
    "@vue-flow/controls": "^1.1.2",
    "@vue-flow/core": "^1.39.0",
    "@vueuse/components": "^11.2.0",
    "@vueuse/core": "^11.2.0",
    "axios": "^1.6.8",
    "blueimp-md5": "^2.19.0",
    "dayjs": "^1.11.10",
    "echarts": "^5.5.0",
    "echarts-wordcloud": "^2.1.0",
    "element-plus": "^2.8.7",
    "file-saver": "^2.0.5",
    "html-to-image": "^1.11.11",
    "jspdf": "^2.5.1",
    "lodash-es": "^4.17.21",
    "nanoid": "^5.0.7",
    "pinia": "^2.2.6",
    "scroll-into-view-if-needed": "^3.1.0",
    "vue": "^3.5.12",
    "vue-echarts": "^6.6.9",
    "vue-router": "^4.4.5",
    "xss": "^1.0.15"
  },
  "devDependencies": {
    "@tsconfig/node20": "^20.1.4",
    "@types/blueimp-md5": "^2.18.2",
    "@types/file-saver": "^2.0.7",
    "@types/node": "^20.17.6",
    "@vitejs/plugin-vue": "^5.1.4",
    "@vue-macros/reactivity-transform": "^1.1.3",
    "@vue/eslint-config-typescript": "^14.1.3",
    "@vue/tsconfig": "^0.5.1",
    "ali-oss": "^6.21.0",
    "chalk": "^5.3.0",
    "eslint": "^9.14.0",
    "eslint-plugin-vue": "^9.30.0",
    "sass": "^1.79.6",
    "typescript": "~5.6.3",
    "unplugin-auto-import": "^0.18.3",
    "vite": "^5.4.10",
    "vite-plugin-checker": "^0.8.0",
    "vite-plugin-mkcert": "^1.17.6",
    "vue-tsc": "^2.1.10"
  }
}
